package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFIQ6 extends MwfRequest<MWFIQ6, MWFIQ6Response> {

    @Parameter(name = "ACC_NUM_IN")
    MWFIQ6 accNumIn(String accNumIn);
    @Parameter(name = "BRANCH_ID")
    MWFIQ6 branchId(String branchId);
    @Parameter(name = "CHANNEL_ID")
    MWFIQ6 channelId(String channelId);
    @Parameter(name = "INSUR_END_DATE")
    MWFIQ6 insurEndDate(java.util.Date insurEndDate);
    @Parameter(name = "INSUR_ID")
    MWFIQ6 insurId(String insurId);
    @Parameter(name = "INSUR_START_DATE")
    MWFIQ6 insurStartDate(java.util.Date insurStartDate);
    @Parameter(name = "PRICE_TOTAL_AMOUNT")
    MWFIQ6 priceTotalAmount(Double priceTotalAmount);
    @Parameter(name = "USER_ID")
    MWFIQ6 userId(String userId);
}
